<template>
  <v-container>
        <div>
            <v-row>
                <v-col cols="12" md="5">
                    <v-text-field 
                    label="Nome do produto"
                    v-model="produto.nome"></v-text-field>
                </v-col>
                <v-col cols="12" md="5">
                    <v-text-field 
                    label="Valor do produto"
                    v-model="produto.valor"></v-text-field>
                </v-col>
                <v-col cols="1" md="2">
                    <v-icon @click="adicionarLista()">mdi-plus</v-icon>
                </v-col>
            </v-row>
        </div>
        <div v-for="item in lista" :key="item.codigo">
            {{ item.nome }} custa {{ item.valor }}

        </div>
  </v-container>
</template>

<script>
export default {
    name: "Principal",
    data: () => ({
        ligouAlerta: false,
        lista: [], 
        produto: {}
    }),
    methods:{
        // funcao em vue
        adicionarLista(){
            // adicionando o produto dentro da lista e setando o campo com vazio
            this.lista.push(this.produto)
            this.produto = {}
        }
    }
}
</script>

<style>

</style>